baseURL = "https://faercol.me"
# languageCode = "en-us"
defaultContentLanguage = "en"
defaultContentLanguageInSubdir = true
favicon = true
title = "Melora's tech and stuff"
theme = "hello-friend-ng"
paginate = 10
rssLimit = 10                                                                                                     # Maximum number of items in the RSS feed.
copyright = "This work is licensed under a Creative Commons Attribution-NonCommercial 4.0 International License." # This message is only used by the RSS template.

archetypeDir = "archetypes"
contentDir = "content"
dataDir = "data"
layoutDir = "layouts"
publishDir = "public"

[author]
name = "Melora Hugues"

[taxonomies]
category = "blog"
tags = "tags"
series = "series"

[params]
dateform = "2 Jan 2006"
dateformShort = "2 Jan"
dateformNum = "02-01-2006"
dateformNumTime = "02-01-2006 15:04"

disableReadOtherPosts = false
enableSharingButtons = true
enableGlobalLanguageMenu = true

description = "Personal website and tech blog for Melora Hugues"
keywords = "blog, tech, dev"
images = [""]

# Enable to add comment support
# [params.commento]
#   url = ""

# Integrate Plausible.io
plausibleDataDomain = 'faercol.me'
plausibleScriptSource = 'https://plausible.faercol.me/js/script.js'

[params.footer]
trademark = true
rss = true
copyright = false
author = true

[params.logo]
logoText = "Hello there!"
logoHomeLink = "/"

[[params.social]]
name = "gitea"
url = "https://git.faercol.me"

[[params.social]]
name = "github"
url = "https://github.com/aHugues"

[[params.social]]
name = "linkedin"
url = "https://www.linkedin.com/in/huguesmel/"

[[params.social]]
name = "email"
url = "mailto:contact@faercol.me"

[languages]
[languages.en]
contentDir = "content/en"
[languages.en.params]
homeSubtitle = "This is where I mostly talk about tech... and stuff"
[languages.en.params.logo]
logoText = "Hello there!"
logoHomeLink = "/en/"

[languages.fr]
contentDir = "content/fr"
[languages.fr.params]
homeSubtitle = "Là où je parle de tech... et d'autres trucs"
[languages.fr.params.logo]
logoText = "Hello there!"
logoHomeLink = "/fr/"

[menu]
  # [[menu.main]]
  #   identifier = "blog"
  #   name = "Blog"
  #   url = "/posts"
  #   weight = 1

[[menu.main]]
identifier = "about_me"
name = "About me"
url = "/about-me"
weight = 10

[[menu.main]]
identifier = "resume"
name = "Resume"
url = "https://resume.faercol.me"
weight = 40

[module]
[[module.imports]]
path = "github.com/hugomods/icons"
[[module.imports]]
path = "github.com/hugomods/icons/vendors/lucide"
